<form [formGroup]="addCardForm" (ngSubmit)="onSubmit(addCardForm.value)">
  <h3>Add New Card</h3>
  <div>
    <label for="cc_number">Credit Card Number</label>
    <input
      id="cc_number"
      matInput
      placeholder="card number"
      formControlName="card_number"
    />
  </div>

  <button type="submit" mat-raised-button color="primary">
    Submit
  </button>
</form>
